usb: XUsb_DeviceConfig Struct Reference

| usb Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XUsb_DeviceConfig Struct Reference
Usb_v5_2

The XUsb_DeviceConfig structure contains the configuration information to configure the USB controller for DEVICE mode. More...

## Data Fields
u8 | NumEndpoints
| Number of Endpoints. More...
XUsb_EpConfig | Ep [XUSB_MAX_ENDPOINTS]
| An array of end points. More...
u8 | Status
| USB device Status. More...
u8 | CurrentConfiguration
          Current state of enumeration
enumerated (1)/Not enumerated (0) More...
u32 | CurrentSpeed
| Current Speed. More...

## Detailed Description

The XUsb_DeviceConfig structure contains the configuration information to configure the USB controller for DEVICE mode.

This data structure is used with the XUsb_ConfigureDevice() function call.

## Field Documentation

u8 XUsb_DeviceConfig::CurrentConfiguration

          Current state of enumeration

enumerated (1)/Not enumerated (0)

Referenced by GetConfiguration(), main(), SetConfiguration(), UsbIfIntrHandler(), UsbKbdExample(), and UsbMouseExample().

u32 XUsb_DeviceConfig::CurrentSpeed

Current Speed.

Referenced by Ep1IntrHandler(), GetDescriptor(), main(), Read10(), ReadTransfer(), Write10(), WriteTransfer(), XUsb_CfgInitialize(), and XUsb_IntrHandler().

XUsb_EpConfig XUsb_DeviceConfig::Ep[XUSB_MAX_ENDPOINTS]

An array of end points.

Referenced by EP0ProcessInToken(), EP0ProcessOutToken(), Ep1IntrHandler(), Ep2IntrHandler(), GetConfiguration(), GetInterface(), GetMaxLUN(), GetStatus(), InitUsbInterface(), LoadEP0(), SetClearFeature(), SetConfiguration(), SetupControlWriteStatusStage(), XUsb_ConfigureDevice(), XUsb_EpDataRecv(), XUsb_EpDataSend(), XUsb_EpSetHandler(), and XUsb_IntrHandler().

u8 XUsb_DeviceConfig::NumEndpoints

Number of Endpoints.

Referenced by InitUsbInterface(), SetConfiguration(), XUsb_CfgInitialize(), XUsb_ConfigureDevice(), and XUsb_IntrHandler().

u8 XUsb_DeviceConfig::Status

USB device Status.

Referenced by DmaIntrHandler(), InitUsbInterface(), ProcessRxCmd(), Read10(), UsbIfIntrHandler(), and Write10().